All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface ConfigurationXMLTextStoreInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote, TextStoreInterface

    public interface ConfigurationXMLTextStoreInterface

extends TextStoreInterface

Since:
  1.1

Field Summary
`static java.lang.String` | `ROLESTRING` String to use as TextRole attribute for TextStore objects that contain configuration XML.
`static java.lang.String` | `TYPESTRING` String to use as TextType for TextStore objects that contain XML

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`void` | `addEnumerationItem(com.sas.services.information.metadata.configpersist.EnumerationItem item)` Add an item to the enumeration data.
`java.util.List` | `getEnumerationItems()` Returns a list of EnumerationItem objects or null if the ParsedConfigurationXMLObject does not contain an Enumeration data type.
`java.util.List` | `getEnumerationTextLabels()` Returns a list of enumeration text labels or null if the ParsedConfigurationXMLObject does not contain an Enumeration data type.
`java.util.List` | `getEnumerationTextLabels(java.util.Locale locale)` Returns a list of enumeration text labels or null if the ParsedConfigurationXMLObject does not contain an Enumeration data type.
`java.util.List` | `getEnumerationValues()` Returns a list of enumeration values or null if the ParsedConfigurationXMLObject does not contain an Enumeration data type.
`java.util.Map` | `getEnumerationValuesLabelsMap(java.util.Locale locale)` Returns a map consisting of values and their corresponding labels
`java.util.Map` | `getIntegerRange()` Returns a map containing limits for integer data or null if the ParsedConfigurationXMLObject does not contain an IntegerRange data type.
`int` | `getIntegerRangeIncrement()` Returns the minimum value of the IntegerRange.
`int` | `getIntegerRangeMaximum()` Returns the maximum value of the IntegerRange.
`int` | `getIntegerRangeMinimum()` Returns the minimum value of the IntegerRange.
`java.util.Map` | `getNumericRange()` Returns a map containg limits for numeric data or null if the ParsedConfigurationXMLObject does not contain a NumericRange data type.
`java.lang.Number` | `getNumericRangeIncrement()` Returns the increment of the NumericRange.
`java.lang.Number` | `getNumericRangeMaximum()` Returns the maximum value of the NumericRange.
`java.lang.Number` | `getNumericRangeMinimum()` Returns the minimum value of the NumericRange.
`java.util.Map` | `getSelectionRange()` Get the selection range.
`int` | `getStringLengthMaximum()` Get the maximum string length for this configuration.
`int` | `getStringLengthMinimum()` Get the minimum allowed string length for this configuration.
`java.util.Map` | `getStringLengthRange()` Get the string length range as a Map with a "min" and "max" value.
`boolean` | `hasUniqueTextLabels(java.util.Locale locale)` Returns a boolean indicating whether the values are identical to their corresponding text labels Returns false only if each value in the enumeration is identical to its corresponding text label
`boolean` | `isEnumerationOthersAllowed()` Returns the value of the isOthersAllowed attribute of an Enumeration.
`boolean` | `isEnumerationOthersAllowedSet()` Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for the isOthersAllowed attribute of Enumeration.
`boolean` | `isIntegerRangeIncrementSet()` Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for an increment of the IntegerRange.
`boolean` | `isIntegerRangeMaximumSet()` Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for an increment of the IntegerRange.
`boolean` | `isIntegerRangeMinimumSet()` Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for a minimum value of the IntegerRange.
`boolean` | `isNumericRangeIncrementSet()` Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for an increment of the NumericRange.
`boolean` | `isNumericRangeMaximumExclusive()` Returns a boolean indicating whether the maximum value of the NumericRange is exclusive (the value should not be contained within the range of acceptable values).
`boolean` | `isNumericRangeMaximumSet()` Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for a maximum value of the NumericRange.
`boolean` | `isNumericRangeMinimumExclusive()` Returns a boolean indicating whether the minimum value of the NumericRange is exclusive (the value should not be contained within the range of acceptable values).
`boolean` | `isNumericRangeMinimumSet()` Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for a minimum value of the NumericRange.
`void` | `removeEnumerationItem(com.sas.services.information.metadata.configpersist.EnumerationItem item)` Remove an item from the enumeration data.
`void` | `removeIntegerRange()` Remove the Integer range setting from the configuration.
`void` | `removeNumericRange()` Remove the numeric range from this configuration.
`void` | `removeNumericRangeMaximum()` Remove the numeric range maximum for the configuration.
`void` | `removeNumericRangeMinimum()` Remove the numeric range minimum for the configuration.
`void` | `setEnumerationData(java.util.List list)` Creates a list of enumeration values and adds an entry to the internal map for the Enumeration data type.
`void` | `setEnumerationOptions(java.util.Map map)`
`void` | `setEnumerationOthersAllowed(boolean allowed)` Sets the option to allow other choices besides those specifically enumerated.
`void` | `setIntegerRange(int minimum, int maximum)` Set the integer range setting for the configuration.
`void` | `setIntegerRange(java.util.Map map)` Creates a map of integer values and adds an entry to the internal map for the IntegerRange data type.
`void` | `setIntegerRangeIncrement(int increment)` Set the integer range increment.
`void` | `setIntegerRangeMaximum(int maximum)` Set the integer range maximum for this configuration.
`void` | `setIntegerRangeMinimum(int minimum)` Set the integer range minimum for this configuration.
`void` | `setNumericRange(java.util.Map map)` Creates a map of numeric values and adds an entry to the internal map for the NumericRange data type.
`void` | `setNumericRange(java.lang.Number minimum, java.lang.Number maximum)` Set the numeric range for this configuration.
`void` | `setNumericRangeExclusive(java.lang.Number minimum, java.lang.Number maximum)` Set then numeric range for this configuration.
`void` | `setNumericRangeIncrement(java.lang.Number increment)` Set the new increment for the numeric range.
`void` | `setNumericRangeMaximum(java.lang.Number maximum)` Set the new numeric range maximum inclusive.
`void` | `setNumericRangeMaximumExclusive(java.lang.Number maximum)` Set the new exclusive maximum for the configuration.
`void` | `setNumericRangeMinimum(java.lang.Number minimum)` Set the new inclusive minimum for the numeric range for this configuration.
`void` | `setNumericRangeMinimumExclusive(java.lang.Number minimum)` Set the new exclusive minimum for the numeric range.
`void` | `setSelectionRange(java.util.Map map)`
`void` | `setStringLengthMaximum(int maximum)` Set the maximum allowed string length for this configuration.
`void` | `setStringLengthMimimum(int minimum)` Set the minimum allowed string length for this configuration.
`void` | `setStringLengthRange(int minimum, int maximum)` Set the string length range for this configuration.
`void` | `setStringLengthRange(java.util.Map map)` Set the string length map containing the values for the string length range "min" and "max".

Methods inherited from interface com.sas.services.information.metadata.TextStoreInterface
`containsBytes, getBytes, getText, getTextRole, getTextType, setBytes, setText, setTextRole, setTextType`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Field Detail

### ROLESTRING

    static final java.lang.String ROLESTRING

  String to use as TextRole attribute for TextStore objects that contain configuration XML.

  See Also:
    Constant Field Values

### TYPESTRING

    static final java.lang.String TYPESTRING

  String to use as TextType for TextStore objects that contain XML

  See Also:
    Constant Field Values

Method Detail

### getEnumerationItems

    java.util.List getEnumerationItems()
                                       throws ServiceException,
                                              java.rmi.RemoteException

  Returns a list of EnumerationItem objects or null if the ParsedConfigurationXMLObject does not contain an Enumeration data type.

  Returns:
    A List of EnumerationItems or null.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getEnumerationTextLabels

    java.util.List getEnumerationTextLabels()
                                            throws ServiceException,
                                                   java.rmi.RemoteException

  Returns a list of enumeration text labels or null if the ParsedConfigurationXMLObject does not contain an Enumeration data type.

  Returns:
    list consisting of enumeration text labels
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getEnumerationTextLabels

    java.util.List getEnumerationTextLabels(java.util.Locale locale)
                                            throws ServiceException,
                                                   java.rmi.RemoteException

  Returns a list of enumeration text labels or null if the ParsedConfigurationXMLObject does not contain an Enumeration data type.

  Parameters:
    `locale` - the locale with which the text label is associated. This parameter may be null.
  Returns:
    list consisting of enumeration text labels
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getEnumerationValues

    java.util.List getEnumerationValues()
                                        throws ServiceException,
                                               java.rmi.RemoteException

  Returns a list of enumeration values or null if the ParsedConfigurationXMLObject does not contain an Enumeration data type.

  Returns:
    list consisting of enumeration values
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setEnumerationData

    void setEnumerationData(java.util.List list)
                            throws ServiceException,
                                   java.rmi.RemoteException

  Creates a list of enumeration values and adds an entry to the internal map for the Enumeration data type. This method is not intended for general use; it is called by the ConfigurationXMLPersistenceUtility.

  Parameters:
    `list` - list of values
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### addEnumerationItem

    void addEnumerationItem(com.sas.services.information.metadata.configpersist.EnumerationItem item)
                            throws ServiceException,
                                   java.rmi.RemoteException

  Add an item to the enumeration data.

  Parameters:
    `item` - The new EnumerationItem to add to the configuration object.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### removeEnumerationItem

    void removeEnumerationItem(com.sas.services.information.metadata.configpersist.EnumerationItem item)
                               throws ServiceException,
                                      java.rmi.RemoteException

  Remove an item from the enumeration data.

  Parameters:
    `item` - The EnumerationItem to remove from the configuration.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getEnumerationValuesLabelsMap

    java.util.Map getEnumerationValuesLabelsMap(java.util.Locale locale)
                                                throws ServiceException,
                                                       java.rmi.RemoteException

  Returns a map consisting of values and their corresponding labels

  Parameters:
    `locale` - the locale with which the text label is associated. This parameter may be null.
  Returns:
    named value pairs (value, label)
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### hasUniqueTextLabels

    boolean hasUniqueTextLabels(java.util.Locale locale)
                                throws ServiceException,
                                       java.rmi.RemoteException

  Returns a boolean indicating whether the values are identical to their corresponding text labels Returns false only if each value in the enumeration is identical to its corresponding text label

  Parameters:
    `locale` - the locale with which the text label is associated. This parameter may be null.
  Returns:
    boolean indicating whether values and labels are identical
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### isEnumerationOthersAllowed

    boolean isEnumerationOthersAllowed()
                                       throws ServiceException,
                                              java.rmi.RemoteException

  Returns the value of the isOthersAllowed attribute of an Enumeration. Before invoking this method, be sure to check that the Enumeration contains an entry for isOthersAllowed by calling `isEnumerationOthersAllowedSet()` Otherwise, an exception could occur if:
  - the ParsedConfigurationXMLObject does not contain an Enumeration data type
  - the Enumeration data type does not contain an isOthersAllowed attribute

         ParsedConfigurationXMLObject parsedObject = ConfigurationXMLPersistenceUtility.createParsedConfigurationXMLObject();
         boolean isAttributeSet = isEnumerationOthersAllowedSet;
         if (attributeSet){
           boolean attributeValue = isEnumerationOthersAllowed();
          }

  Returns:
    true if the Enumeration allows other values than those listed; false otherwise
  Throws:
    `java.lang.IllegalArgumentException` - if isOthersAllowed attribute does not exist
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### isEnumerationOthersAllowedSet

    boolean isEnumerationOthersAllowedSet()
                                          throws ServiceException,
                                                 java.rmi.RemoteException

  Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for the isOthersAllowed attribute of Enumeration. This method will return true if an isOthersAllowed entry exists for the Enumeration and will return false if:
  - the ParsedConfigurationXMLObject contains an Enumeration data type but the Enumeration does not have an isOthersAllowed attribute
  - the ParsedConfigurationXMLObject does not contain an Enumeration data type

  Returns:
    true if isOthersAllowed has been defined; false otherwise
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setEnumerationOthersAllowed

    void setEnumerationOthersAllowed(boolean allowed)
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Sets the option to allow other choices besides those specifically enumerated.

  Parameters:
    `allowed` - True if other options are allowed.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getIntegerRange

    java.util.Map getIntegerRange()
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Returns a map containing limits for integer data or null if the ParsedConfigurationXMLObject does not contain an IntegerRange data type. The IntegerRange data type may contain either or both a minimum and maximum value. The map returned can be iterated to obtain the values or other methods can be called to obtain minimum/maximum values

         ParsedConfigurationXMLObject parsedObject = ConfigurationXMLPersistenceUtility.createParsedConfigurationXMLObject();
         Map intValuesMap = parsedObject.getIntegerRange();
         if (intValuesMap != null){
           if (parsedObject.isIntegerRangeMinimumSet())
                int minimum = parsedObject.getIntegerRangeMinimum();
           if (parsedObject.isIntegerRangeMaximumSet())
                int maximum = parsedObject.getIntegerRangeMaximum();
           if (parsedObject.isIntegerRangeIncrementSet())
                int increment = parsedObject.getIntegerRangeIncrement();

          }

  Returns:
    map of integer values or null
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getIntegerRangeIncrement

    int getIntegerRangeIncrement()
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Returns the minimum value of the IntegerRange. Before invoking this method, be sure to check that the IntegerRange contains an entry for the minimum value by calling `isIntegerRangeMinimumSet()` Otherwise, an exception could occur if:
  - the ParsedConfigurationXMLObject does not contain an IntegerRange data type
  - the IntegerRange data type does not contain a minimum value

         ParsedConfigurationXMLObject parsedObject = ConfigurationXMLPersistenceUtility.createParsedConfigurationXMLObject();
         Map intValuesMap = parsedObject.getIntegerRange();
         if (intValuesMap != null){
           if (parsedObject.isIntegerRangeMinimumSet())
                int minimum = parsedObject.getIntegerRangeMinimum();
          }

  Returns:
    minimum value
  Throws:
    `java.lang.IllegalArgumentException` - if minimum value does not exist
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getIntegerRangeMaximum

    int getIntegerRangeMaximum()
                               throws ServiceException,
                                      java.rmi.RemoteException

  Returns the maximum value of the IntegerRange. Before invoking this method, be sure to check that the IntegerRange contains an entry for the maximum value by calling `isIntegerRangeMaximumSet` Otherwise, an exception could occur if:
  - the ParsedConfigurationXMLObject does not contain an IntegerRange data type
  - the IntegerRange data type does not contain a maximum value

         ParsedConfigurationXMLObject parsedObject = ConfigurationXMLPersistenceUtility.createParsedConfigurationXMLObject();
         Map intValuesMap = parsedObject.getIntegerRange();
         if (intValuesMap != null){
           if (parsedObject.isIntegerRangeMaximumSet())
                int maximum = parsedObject.getIntegerRangeMaximum();
          }

  Returns:
    maximum value
  Throws:
    `java.lang.IllegalArgumentException` - if maximum value does not exist
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getIntegerRangeMinimum

    int getIntegerRangeMinimum()
                               throws ServiceException,
                                      java.rmi.RemoteException

  Returns the minimum value of the IntegerRange. Before invoking this method, be sure to check that the IntegerRange contains an entry for the minimum value by calling `isIntegerRangeMinimumSet()` Otherwise, an exception could occur if:
  - the ParsedConfigurationXMLObject does not contain an IntegerRange data type
  - the IntegerRange data type does not contain a minimum value

         ParsedConfigurationXMLObject parsedObject = ConfigurationXMLPersistenceUtility.createParsedConfigurationXMLObject();
         Map intValuesMap = parsedObject.getIntegerRange();
         if (intValuesMap != null){
           if (parsedObject.isIntegerRangeMinimumSet())
                int minimum = parsedObject.getIntegerRangeMinimum();
          }

  Returns:
    minimum value
  Throws:
    `java.lang.IllegalArgumentException` - if minimum value does not exist
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### isIntegerRangeIncrementSet

    boolean isIntegerRangeIncrementSet()
                                       throws ServiceException,
                                              java.rmi.RemoteException

  Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for an increment of the IntegerRange. This method will return true if an increment entry exists for the IntegerRange and will return false if:
  - the ParsedConfigurationXMLObject contains an IntegerRange data type but the IntegerRange does not have an increment value
  - the ParsedConfigurationXMLObject does not contain an IntegerRange data type

  Returns:
    true if an increment has been defined; false otherwise
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### isIntegerRangeMaximumSet

    boolean isIntegerRangeMaximumSet()
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for an increment of the IntegerRange. This method will return true if an increment entry exists for the IntegerRange and will return false if:
  - the ParsedConfigurationXMLObject contains an IntegerRange data type but the IntegerRange does not have an increment value
  - the ParsedConfigurationXMLObject does not contain an IntegerRange data type

  Returns:
    true if an increment has been defined; false otherwise
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### isIntegerRangeMinimumSet

    boolean isIntegerRangeMinimumSet()
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for a minimum value of the IntegerRange. This method will return true if a minimum value entry exists for the IntegerRange and will return false if:
  - the ParsedConfigurationXMLObject contains an IntegerRange data type but the IntegerRange does not have a minimum value
  - the ParsedConfigurationXMLObject does not contain an IntegerRange data type

  Returns:
    true if minimum value has been defined; false otherwise
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### removeIntegerRange

    void removeIntegerRange()
                            throws ServiceException,
                                   java.rmi.RemoteException

  Remove the Integer range setting from the configuration.

  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setIntegerRange

    void setIntegerRange(int minimum,
                         int maximum)
                         throws ServiceException,
                                java.rmi.RemoteException

  Set the integer range setting for the configuration.

  Parameters:
    `minimum` - The minimum setting for the integer range.
    `maximum` - The maximum setting for the integer range.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setIntegerRangeMinimum

    void setIntegerRangeMinimum(int minimum)
                                throws ServiceException,
                                       java.rmi.RemoteException

  Set the integer range minimum for this configuration.

  Parameters:
    `minimum` - The new minimum for the configuration.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setIntegerRangeMaximum

    void setIntegerRangeMaximum(int maximum)
                                throws ServiceException,
                                       java.rmi.RemoteException

  Set the integer range maximum for this configuration.

  Parameters:
    `maximum` - The new maximum for this configuration.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setIntegerRangeIncrement

    void setIntegerRangeIncrement(int increment)
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Set the integer range increment.

  Parameters:
    `increment` - The increment for the integer range for this configuration.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setIntegerRange

    void setIntegerRange(java.util.Map map)
                         throws ServiceException,
                                java.rmi.RemoteException

  Creates a map of integer values and adds an entry to the internal map for the IntegerRange data type. This method is not intended for general use; it is called by the ConfigurationXMLPersistenceUtility.

  Parameters:
    `map` - key-value pairs (minimum/maximum/increment, integer value).
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getNumericRange

    java.util.Map getNumericRange()
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Returns a map containg limits for numeric data or null if the ParsedConfigurationXMLObject does not contain a NumericRange data type. The NumericRange data type may contain either or both a minimum and maximum value. The map returned can be iterated to obtain the values or other methods can be called to obtain minimum/ maximum values

         ParsedConfigurationXMLObject parsedObject = ConfigurationXMLPersistenceUtility.createParsedConfigurationXMLObject();
         Map numericValuesMap = parsedObject.getNumericRange();
         if (numericValuesMap != null){
           if (parsedObject.isNumericRangeMinimumSet())
                int minimum = parsedObject.getNumericRangeMinimum();
           if (parsedObject.isNumericRangeMaximumSet())
                int maximum = parsedObject.getNumericRangeMaximum();
          }

  Returns:
    map of numeric values or null.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getNumericRangeIncrement

    java.lang.Number getNumericRangeIncrement()
                                              throws ServiceException,
                                                     java.rmi.RemoteException

  Returns the increment of the NumericRange. Before invoking this method, be sure to check that the NumericRange contains an entry for the increment by calling `isNumericRangeIncrementSet()` Otherwise, an exception could occur if:
  - the ParsedConfigurationXMLObject does not contain a NumericRange data type
  - the NumericRange data type does not contain an increment value

         ParsedConfigurationXMLObject parsedObject = ConfigurationXMLPersistenceUtility.createParsedConfigurationXMLObject();
         Map numericValuesMap = parsedObject.getNumericRange();
         if (numericValuesMap != null){
           if (parsedObject.isNumericRangeIncrementSet())
                double maximum = parsedObject.getNumericRangeIncrement();
          }

  Returns:
    numeric range increment value.
  Throws:
    `java.lang.IllegalArgumentException` - if maximum value does not exist
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getNumericRangeMaximum

    java.lang.Number getNumericRangeMaximum()
                                            throws ServiceException,
                                                   java.rmi.RemoteException

  Returns the maximum value of the NumericRange. Before invoking this method, be sure to check that the NumericRange contains an entry for the maximum value by calling `isNumericRangeMaximumSet()` Otherwise, an exception could occur if:
  - the ParsedConfigurationXMLObject does not contain a NumericRange data type
  - the NumericRange data type does not contain a maximum value

         ParsedConfigurationXMLObject parsedObject = ConfigurationXMLPersistenceUtility.createParsedConfigurationXMLObject();
         Map intValuesMap = parsedObject.getNumericRange();
         if (intValuesMap != null){
           if (parsedObject.isNumericRangeMaximumSet())
                int maximum = parsedObject.getNumericRangeMaximum();
          }

  Returns:
    The maximum value in the allowable numeric range.
  Throws:
    `java.lang.IllegalArgumentException` - if maximum value does not exist.
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getNumericRangeMinimum

    java.lang.Number getNumericRangeMinimum()
                                            throws ServiceException,
                                                   java.rmi.RemoteException

  Returns the minimum value of the NumericRange. Before invoking this method, be sure to check that the NumericRange contains an entry for the minimum value by calling `isNumericRangeMinimumSet()` Otherwise, an exception could occur if:
  - the ParsedConfigurationXMLObject does not contain a NumericRange data type
  - the NumericRange data type does not contain a minimum value

         ParsedConfigurationXMLObject parsedObject = ConfigurationXMLPersistenceUtility.createParsedConfigurationXMLObject();
         Map intValuesMap = parsedObject.getNumericRange();
         if (intValuesMap != null){
           if (isNumericRangeMinimumSet())
                int minimum = parsedObject.getNumericRangeMinimum();
          }

  Returns:
    minimum value.
  Throws:
    `java.lang.IllegalArgumentException` - if minimum value does not exist
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### isNumericRangeIncrementSet

    boolean isNumericRangeIncrementSet()
                                       throws ServiceException,
                                              java.rmi.RemoteException

  Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for an increment of the NumericRange. This method will return true if an increment entry exists for the NumericRange and will return false if:
  - the ParsedConfigurationXMLObject contains a NumericRange data type but the NumericRange does not have an increment value
  - the ParsedConfigurationXMLObject does not contain a NumericRange data type

  Returns:
    true if increment value has been defined; false otherwise.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### isNumericRangeMaximumExclusive

    boolean isNumericRangeMaximumExclusive()
                                           throws ServiceException,
                                                  java.rmi.RemoteException

  Returns a boolean indicating whether the maximum value of the NumericRange is exclusive (the value should not be contained within the range of acceptable values). This method will return true if the maximum value is exclusive and false otherwise. Before invoking this method, be sure to check that the NumericRange contains an entry for the maximum value by calling `isNumericRangeMaximumSet()` Otherwise, an exception could occur if:
  - the ParsedConfigurationXMLObject contains a NumericRange data type but the NumericRange does not have a maximum value
  - the ParsedConfigurationXMLObject does not contain a NumericRange data type ParsedConfigurationXMLObject parsedObject = ConfigurationXMLPersistenceUtility.createParsedConfigurationXMLObject(); Map numericValuesMap = parsedObject.getNumericRange(); if (numericValuesMap != null){ if (parsedObject.isNumericRangeMaximumSet()) double maximum = parsedObject.getNumericRangeMaximum(); if (parsedObject.isNumericRangeMaximumExclusive()) ... exclude the value }

  Returns:
    true if maximum value is exclusive; false otherwise.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### isNumericRangeMaximumSet

    boolean isNumericRangeMaximumSet()
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for a maximum value of the NumericRange. This method will return true if a maximum value entry exists for the NumericRange and will return false if:
  - the ParsedConfigurationXMLObject contains a NumericRange data type but the NumericRange does not have a maximum value
  - the ParsedConfigurationXMLObject does not contain a NumericRange data type

  Returns:
    true if maximum value has been defined; false otherwise.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### isNumericRangeMinimumExclusive

    boolean isNumericRangeMinimumExclusive()
                                           throws ServiceException,
                                                  java.rmi.RemoteException

  Returns a boolean indicating whether the minimum value of the NumericRange is exclusive (the value should not be contained within the range of acceptable values). This method will return true if the minimum value is exclusive and false otherwise. Before invoking this method, be sure to check that the NumericRange contains an entry for the minimum value by calling `isNumericRangeMinimumSet()` Otherwise, an exception could occur if:
  - the ParsedConfigurationXMLObject contains a NumericRange data type but the NumericRange does not have a minimum value
  - the ParsedConfigurationXMLObject does not contain a NumericRange data type ParsedConfigurationXMLObject parsedObject = ConfigurationXMLPersistenceUtility.createParsedConfigurationXMLObject(); Map numericValuesMap = parsedObject.getNumericRange(); if (numericValuesMap != null){ if (parsedObject.isNumericRangeMinimumSet()) double minimum = parsedObject.getNumericRangeMinimum(); if (parsedObject.isisNumericMinimumExclusive()) ...exclude the value }

  Returns:
    true if minimum value is exclusive; false otherwise
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### isNumericRangeMinimumSet

    boolean isNumericRangeMinimumSet()
                                     throws ServiceException,
                                            java.rmi.RemoteException

  Returns a boolean indicating whether the ParsedConfigurationXMLObject contains an entry for a minimum value of the NumericRange. This method will return true if a minimum value entry exists for the NumericRange and will return false if:
  - the ParsedConfigurationXMLObject contains a NumericRange data type but the NumericRange does not have a minimum value
  - the ParsedConfigurationXMLObject does not contain a NumericRange data type

  Returns:
    true if minimum value has been defined; false otherwise
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### removeNumericRangeMaximum

    void removeNumericRangeMaximum()
                                   throws ServiceException,
                                          java.rmi.RemoteException

  Remove the numeric range maximum for the configuration.

  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### removeNumericRangeMinimum

    void removeNumericRangeMinimum()
                                   throws ServiceException,
                                          java.rmi.RemoteException

  Remove the numeric range minimum for the configuration.

  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### removeNumericRange

    void removeNumericRange()
                            throws ServiceException,
                                   java.rmi.RemoteException

  Remove the numeric range from this configuration.

  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setNumericRange

    void setNumericRange(java.lang.Number minimum,
                         java.lang.Number maximum)
                         throws ServiceException,
                                java.rmi.RemoteException

  Set the numeric range for this configuration. The new range will be inclusive (the minimum and maximum are valid values).

  Parameters:
    `minimum` - The new minimum value for the numeric range.
    `maximum` - The new maximum value for the numeric range.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setNumericRangeExclusive

    void setNumericRangeExclusive(java.lang.Number minimum,
                                  java.lang.Number maximum)
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Set then numeric range for this configuration. The new range will be exclusive (the minimum and maximum are not valid values).

  Parameters:
    `minimum` - The new exclusive minimum for the numeric range.
    `maximum` - The new exclusive maximum for the numeric range.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setNumericRangeMaximumExclusive

    void setNumericRangeMaximumExclusive(java.lang.Number maximum)
                                         throws ServiceException,
                                                java.rmi.RemoteException

  Set the new exclusive maximum for the configuration.

  Parameters:
    `maximum` - The new maximum (exclusive).
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setNumericRangeMaximum

    void setNumericRangeMaximum(java.lang.Number maximum)
                                throws ServiceException,
                                       java.rmi.RemoteException

  Set the new numeric range maximum inclusive.

  Parameters:
    `maximum` - The new inclusive maximum for the numeric range.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setNumericRangeMinimumExclusive

    void setNumericRangeMinimumExclusive(java.lang.Number minimum)
                                         throws ServiceException,
                                                java.rmi.RemoteException

  Set the new exclusive minimum for the numeric range.

  Parameters:
    `minimum` - The new exclusive minimum value for the numeric range.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setNumericRangeMinimum

    void setNumericRangeMinimum(java.lang.Number minimum)
                                throws ServiceException,
                                       java.rmi.RemoteException

  Set the new inclusive minimum for the numeric range for this configuration.

  Parameters:
    `minimum` - The new inclusive minimum value for the numeric range.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setNumericRangeIncrement

    void setNumericRangeIncrement(java.lang.Number increment)
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Set the new increment for the numeric range.

  Parameters:
    `increment` - The new numeric range increment.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setNumericRange

    void setNumericRange(java.util.Map map)
                         throws ServiceException,
                                java.rmi.RemoteException

  Creates a map of numeric values and adds an entry to the internal map for the NumericRange data type. This method is not intended for general use; it is called by the ConfigurationXMLPersistenceUtility.

  Parameters:
    `map` - key-value pairs (minimum/maximum, numeric value)
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getSelectionRange

    java.util.Map getSelectionRange()
                                    throws ServiceException,
                                           java.rmi.RemoteException

  Get the selection range.

  Returns:
    A map with the minimum and maximum selection.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setSelectionRange

    void setSelectionRange(java.util.Map map)
                           throws ServiceException,
                                  java.rmi.RemoteException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### setEnumerationOptions

    void setEnumerationOptions(java.util.Map map)
                               throws ServiceException,
                                      java.rmi.RemoteException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getStringLengthRange

    java.util.Map getStringLengthRange()
                                       throws ServiceException,
                                              java.rmi.RemoteException

  Get the string length range as a Map with a "min" and "max" value.

  Returns:
    The string length range map or null if no string length range is set.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setStringLengthRange

    void setStringLengthRange(java.util.Map map)
                              throws ServiceException,
                                     java.rmi.RemoteException

  Set the string length map containing the values for the string length range "min" and "max".

  Parameters:
    `map` - The map containing the "min" and "max" values for the string length.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getStringLengthMaximum

    int getStringLengthMaximum()
                               throws ServiceException,
                                      java.rmi.RemoteException

  Get the maximum string length for this configuration.

  Returns:
    The maximum allowed string length.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getStringLengthMinimum

    int getStringLengthMinimum()
                               throws ServiceException,
                                      java.rmi.RemoteException

  Get the minimum allowed string length for this configuration.

  Returns:
    The minimum allowed string length.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setStringLengthMaximum

    void setStringLengthMaximum(int maximum)
                                throws ServiceException,
                                       java.rmi.RemoteException

  Set the maximum allowed string length for this configuration.

  Parameters:
    `maximum` - The new maximum string length.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setStringLengthMimimum

    void setStringLengthMimimum(int minimum)
                                throws ServiceException,
                                       java.rmi.RemoteException

  Set the minimum allowed string length for this configuration.

  Parameters:
    `minimum` - The new minimum string length.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setStringLengthRange

    void setStringLengthRange(int minimum,
                              int maximum)
                              throws ServiceException,
                                     java.rmi.RemoteException

  Set the string length range for this configuration.

  Parameters:
    `minimum` - The minimum string length.
    `maximum` - The maximum string length.
  Throws:
    `ServiceException` - If a repository or service level error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.